コンテンツへスキップ

AI 前髪生成タスクを実行します。

リクエスト

このエンドポイントは、テンプレートとソース画像を使用して前髪生成プロセスを開始します。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
template_idstring必須

テンプレートの ID。事前に定義されたテンプレートを一覧表示し、その ID を使用します。

例:"good_template_001"
src_file_urlstring必須

タスクを実行するファイルの URL。この URL は公開されている必要があります。

例:"https://example.com/selfie.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-bang \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "template_id": "good_template_001"
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }